Package org.gitana.platform.client.api

# Interface Client

All Superinterfaces:
  `AccessControllable`, `Copyable`, `Document`, `org.gitana.platform.GitanaObject`, `org.gitana.platform.JSONable`, `PlatformDocument`, `Referenceable`, `Selfable`, `Serializable`, `TitleDescription`, `Transferable`, `TypedID`

All Known Implementing Classes:
  `ClientImpl`

public interface Client extends PlatformDocument, AccessControllable, Selfable

Author:
  uzi

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`FIELD_ACCESS_TOKEN_VALIDITY_SECONDS`
`static final String`
`FIELD_ALLOW_AUTO_APPROVAL_FOR_IMPLICIT_FLOW`
`static final String`
`FIELD_ALLOW_GUEST_LOGIN`
`static final String`
`FIELD_ALLOW_OPENDRIVER_AUTHENTICATION`
`static final String`
`FIELD_AUTHORIZED_GRANT_TYPES`
`static final String`
`FIELD_DEFAULT_TENANT_ID`
`static final String`
`FIELD_DOMAIN_URLS`
`static final String`
`FIELD_ENABLED`
`static final String`
`FIELD_IS_TENANT_DEFAULT`
`static final String`
`FIELD_KEY`
`static final String`
`FIELD_REFRESH_TOKEN_VALIDITY_SECONDS`
`static final String`
`FIELD_REGISTERED_REDIRECT_URI`
`static final String`
`FIELD_SCOPE`
`static final String`
`FIELD_SECRET`

### Fields inherited from interface org.gitana.platform.client.document.Document

`FIELD_ID, SYSTEM, SYSTEM_CREATED_BY, SYSTEM_CREATED_ON, SYSTEM_MODIFIED_BY, SYSTEM_MODIFIED_ON`

### Fields inherited from interface org.gitana.platform.client.support.TitleDescription

`FIELD_DESCRIPTION, FIELD_TITLE`

## Method Summary

Modifier and Type
Method
Description
`int`
`getAccessTokenValiditySeconds()`
`boolean`
`getAllowAutoApprovalForImplicitFlow()`
`boolean`
`getAllowGuestLogin()`
`boolean`
`getAllowOpenDriverAuthentication()`
`Collection<String>`
`getAuthorizedGrantTypes()`
`String`
`getDefaultTenantId()`
`List<String>`
`getDomainUrls()`
`boolean`
`getEnabled()`
`boolean`
`getIsTenantDefault()`
`String`
`getKey()`
`int`
`getRefreshTokenValiditySeconds()`
`String`
`getRegisteredRedirectUri()`
`Collection<String>`
`getScope()`
`String`
`getSecret()`
`void`
`setAccessTokenValiditySeconds(int accessTokenValiditySeconds)`
`void`
`setAllowAutoApprovalForImplicitFlow(boolean allowAutoApprovalForImplicitFlow)`
`void`
`setAllowGuestLogin(boolean allowGuestLogin)`
`void`
`setAllowOpenDriverAuthentication(boolean allowOpenDriverAuthentication)`
`void`
`setAuthorizedGrantTypes(Collection<String> authorizedGrantTypes)`
`void`
`setDefaultTenantId(String tenantId)`
`void`
`setDomainUrls(List<String> domainUrls)`
`void`
`setEnabled(boolean enabled)`
`void`
`setIsTenantDefault(boolean isTenantDefault)`
`void`
`setKey(String key)`
`void`
`setRefreshTokenValiditySeconds(int refreshTokenValiditySeconds)`
`void`
`setRegisteredRedirectUri(String registeredRedirectUri)`
`void`
`setScope(Collection<String> scope)`
`void`
`setSecret(String secret)`

### Methods inherited from interface org.gitana.platform.client.support.AccessControllable

`getACL, getACL, getAuthorityGrants, grant, grant, hasAuthority, hasAuthority, hasPermission, hasPermission, revoke, revoke, revokeAll, revokeAll`

### Methods inherited from interface org.gitana.platform.client.support.Copyable

`copy, copy, copyAsync, copyAsync`

### Methods inherited from interface org.gitana.platform.client.document.Document

`dateCreated, dateModified, getCreatedBy, getId, getModifiedBy, getSystemObject, isSaved, reload, reload, setId, setSaved`

### Methods inherited from interface org.gitana.platform.GitanaObject

`get, getArray, getAsJsonNode, getBigDecimal, getBoolean, getDouble, getInt, getLong, getObject, getObject, getString, has, putAll, putAll, remove, set`

### Methods inherited from interface org.gitana.platform.JSONable

`toJSON, toJSONString`

### Methods inherited from interface org.gitana.platform.client.platform.PlatformDocument

`getPlatform, getPlatformId`

### Methods inherited from interface org.gitana.platform.client.support.Referenceable

`ref`

### Methods inherited from interface org.gitana.platform.client.support.Selfable

`delete, reload, update`

### Methods inherited from interface org.gitana.platform.client.support.TitleDescription

`getDescription, getTitle, setDescription, setTitle`

### Methods inherited from interface org.gitana.platform.client.support.Transferable

`exportArchive, exportArchive, exportArchive, importArchive, importArchive, importArchive`

### Methods inherited from interface org.gitana.platform.client.support.TypedID

`getId, getTypeId`

## Field Details

### FIELD_KEY

static final String FIELD_KEY

See Also:
  - Constant Field Values

### FIELD_SECRET

static final String FIELD_SECRET

See Also:
  - Constant Field Values

### FIELD_AUTHORIZED_GRANT_TYPES

static final String FIELD_AUTHORIZED_GRANT_TYPES

See Also:
  - Constant Field Values

### FIELD_SCOPE

static final String FIELD_SCOPE

See Also:
  - Constant Field Values

### FIELD_REGISTERED_REDIRECT_URI

static final String FIELD_REGISTERED_REDIRECT_URI

See Also:
  - Constant Field Values

### FIELD_DOMAIN_URLS

static final String FIELD_DOMAIN_URLS

See Also:
  - Constant Field Values

### FIELD_IS_TENANT_DEFAULT

static final String FIELD_IS_TENANT_DEFAULT

See Also:
  - Constant Field Values

### FIELD_DEFAULT_TENANT_ID

static final String FIELD_DEFAULT_TENANT_ID

See Also:
  - Constant Field Values

### FIELD_ALLOW_OPENDRIVER_AUTHENTICATION

static final String FIELD_ALLOW_OPENDRIVER_AUTHENTICATION

See Also:
  - Constant Field Values

### FIELD_ENABLED

static final String FIELD_ENABLED

See Also:
  - Constant Field Values

### FIELD_ALLOW_AUTO_APPROVAL_FOR_IMPLICIT_FLOW

static final String FIELD_ALLOW_AUTO_APPROVAL_FOR_IMPLICIT_FLOW

See Also:
  - Constant Field Values

### FIELD_ACCESS_TOKEN_VALIDITY_SECONDS

static final String FIELD_ACCESS_TOKEN_VALIDITY_SECONDS

See Also:
  - Constant Field Values

### FIELD_REFRESH_TOKEN_VALIDITY_SECONDS

static final String FIELD_REFRESH_TOKEN_VALIDITY_SECONDS

See Also:
  - Constant Field Values

### FIELD_ALLOW_GUEST_LOGIN

static final String FIELD_ALLOW_GUEST_LOGIN

See Also:
  - Constant Field Values

## Method Details

### getKey

String getKey()

### setKey

void setKey(String key)

### getSecret

String getSecret()

### setSecret

void setSecret(String secret)

### getDomainUrls

List<String> getDomainUrls()

### setDomainUrls

void setDomainUrls(List<String> domainUrls)

### getIsTenantDefault

boolean getIsTenantDefault()

### setIsTenantDefault

void setIsTenantDefault(boolean isTenantDefault)

### getDefaultTenantId

String getDefaultTenantId()

### setDefaultTenantId

void setDefaultTenantId(String tenantId)

### getAuthorizedGrantTypes

Collection<String> getAuthorizedGrantTypes()

### setAuthorizedGrantTypes

void setAuthorizedGrantTypes(Collection<String> authorizedGrantTypes)

### getScope

Collection<String> getScope()

### setScope

void setScope(Collection<String> scope)

### getRegisteredRedirectUri

String getRegisteredRedirectUri()

### setRegisteredRedirectUri

void setRegisteredRedirectUri(String registeredRedirectUri)

### getAllowOpenDriverAuthentication

boolean getAllowOpenDriverAuthentication()

### setAllowOpenDriverAuthentication

void setAllowOpenDriverAuthentication(boolean allowOpenDriverAuthentication)

### getEnabled

boolean getEnabled()

### setEnabled

void setEnabled(boolean enabled)

### getAllowAutoApprovalForImplicitFlow

boolean getAllowAutoApprovalForImplicitFlow()

### setAllowAutoApprovalForImplicitFlow

void setAllowAutoApprovalForImplicitFlow(boolean allowAutoApprovalForImplicitFlow)

### getAccessTokenValiditySeconds

int getAccessTokenValiditySeconds()

### setAccessTokenValiditySeconds

void setAccessTokenValiditySeconds(int accessTokenValiditySeconds)

### getRefreshTokenValiditySeconds

int getRefreshTokenValiditySeconds()

### setRefreshTokenValiditySeconds

void setRefreshTokenValiditySeconds(int refreshTokenValiditySeconds)

### getAllowGuestLogin

boolean getAllowGuestLogin()

### setAllowGuestLogin

void setAllowGuestLogin(boolean allowGuestLogin)